net.dontdrinkandroot.wicketexample.web

## Class WicketApplication

- java.lang.Object
- - org.apache.wicket.Application
  - - org.apache.wicket.protocol.http.WebApplication
    - - org.apache.wicket.authroles.authentication.AuthenticatedWebApplication
      - - net.dontdrinkandroot.wicketexample.web.WicketApplication

All Implemented Interfaces:
  org.apache.wicket.authorization.IUnauthorizedComponentInstantiationListener, org.apache.wicket.authroles.authorization.strategies.role.IRoleCheckingStrategy, org.apache.wicket.event.IEventSink, org.apache.wicket.session.ISessionStore.UnboundListener

    public class WicketApplication
    extends org.apache.wicket.authroles.authentication.AuthenticatedWebApplication

### Field Summary

### Fields inherited from class org.apache.wicket.protocol.http.WebApplication

`META_INF_RESOURCES`

### Fields inherited from class org.apache.wicket.Application

`CONFIGURATION`

### Constructor Summary

Constructors
Constructor and Description
`WicketApplication()`

### Method Summary

Methods
`Class<? extends org.apache.wicket.Page>` `getHomePage()`
`protected Class<? extends org.apache.wicket.markup.html.WebPage>` `getSignInPageClass()`
`protected Class<? extends org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession>` `getWebSessionClass()`
`protected void` `init()`

### Methods inherited from class org.apache.wicket.authroles.authentication.AuthenticatedWebApplication

`hasAnyRole, newSession, onUnauthorizedInstantiation, onUnauthorizedPage, restartResponseAtSignInPage`

### Methods inherited from class org.apache.wicket.protocol.http.WebApplication

`addResourceReplacement, addResourceReplacement, get, getAjaxRequestTargetListeners, getAjaxRequestTargetProvider, getAndRemoveBufferedResponse, getApplicationKey, getConfigurationType, getFilterFactoryManager, getInitParameter, getMimeType, getServletContext, getSessionAttributePrefix, getWicketFilter, hasBufferedResponse, hasFilterFactoryManager, internalDestroy, internalInit, logEventTarget, logResponseTarget, mount, mountPackage, mountPage, mountResource, newAjaxRequestTarget, newWebRequest, newWebResponse, outputDevelopmentModeWarning, renderXmlDecl, sessionUnbound, setAjaxRequestTargetProvider, setConfigurationType, setServletContext, setWicketFilter, storeBufferedResponse, unmount`

### Methods inherited from class org.apache.wicket.Application

`configure, createRequestCycle, decorateHeaderResponse, exists, fetchCreateAndSetSession, get, getApplicationKeys, getApplicationListeners, getApplicationSettings, getBehaviorInstantiationListeners, getComponentInitializationListeners, getComponentInstantiationListeners, getComponentOnAfterRenderListeners, getComponentPostOnBeforeRenderListeners, getComponentPreOnBeforeRenderListeners, getConverterLocator, getDebugSettings, getExceptionMapperProvider, getExceptionSettings, getFrameworkSettings, getHeaderContributorListenerCollection, getInitializers, getJavaScriptLibrarySettings, getMapperContext, getMarkupSettings, getMetaData, getName, getPageFactory, getPageManagerContext, getPageManagerProvider, getPageRendererProvider, getPageSettings, getRequestCycleListeners, getRequestCycleProvider, getRequestCycleSettings, getRequestLogger, getRequestLoggerSettings, getResourceBundles, getResourceReferenceRegistry, getResourceSettings, getRootRequestMapper, getRootRequestMapperAsCompound, getSecuritySettings, getSessionListeners, getSessionStore, getSessionStoreProvider, getSharedResources, getStoreSettings, initApplication, initializeComponents, newConverterLocator, newMapperContext, newPageFactory, newRequestLogger, newResourceBundles, newResourceReferenceRegistry, newSharedResources, onDestroy, onEvent, setApplicationSettings, setDebugSettings, setExceptionSettings, setFrameworkSettings, setHeaderResponseDecorator, setJavaScriptLibrarySettings, setMarkupSettings, setMetaData, setName, setPageManagerProvider, setPageRendererProvider, setPageSettings, setRequestCycleProvider, setRequestCycleSettings, setRequestLoggerSettings, setResourceSettings, setRootRequestMapper, setSecuritySettings, setSessionStoreProvider, setStoreSettings, usesDeploymentConfig, usesDevelopmentConfig, validateInit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WicketApplication

    public WicketApplication()

### Method Detail

#### getHomePage

    public Class<? extends org.apache.wicket.Page> getHomePage()

Specified by:
  `getHomePage` in class `org.apache.wicket.Application`

#### init

    protected void init()

Overrides:
  `init` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebApplication`

#### getSignInPageClass

    protected Class<? extends org.apache.wicket.markup.html.WebPage> getSignInPageClass()

Specified by:
  `getSignInPageClass` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebApplication`

#### getWebSessionClass

    protected Class<? extends org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession> getWebSessionClass()

Specified by:
  `getWebSessionClass` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebApplication`